Create Named Credential Access Control Grant
Creates an access-control grant for a namedCredential
Creates an access-control grant, giving the user the level of access for the namedCredential.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/namedCredentials/{namedCredentialId}/accessControls
COPY
Path Parameters
string
namedCredentialId
Required
id of the namedCredential
Request Body
AccessControlGrant
of type(s)
application/json
Optional
Show optional properties
{
"grantType": "string",
"accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
{
"id": "string",
"tenant": {
"name": "string",
"id": "string"
},
"grantType": "string",
"objectId": "string",
"accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
Responses
201
Created
Returns
AccessControlGrant
of type(s)
application/json;version=9.1.0
{
"id": "string",
"tenant": {
"name": "string",
"id": "string"
},
"grantType": "string",
"objectId": "string",
"accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"accessLevelId":"string","grantType":"string"}' https://{api_host}/cloudapi/1.0.0/namedCredentials/{namedCredentialId}/accessControls
Availability
Added in 10.0.0.0-alpha
On This Page
Named Credential Operations
GET
Query Named Credentials
POST
Create Named Credential
GET
Get Named Credential
PUT
Update Named Credential
DELETE
Delete Named Credential
GET
Query Named Credential Access Control Grants
POST
Create Named Credential Access Control Grant
GET
Get Named Credential Access Control Grant
PUT
Update Named Credential Control Grant
DELETE
Remove Named Credential Access Control Grant